#
# spec file for package qtkeychain-qt5
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname   libqt5keychain1
Name:           qtkeychain-qt5
Version:        0.7.0
Release:        1.3
Summary:        A cross platform password store library
License:        BSD-2-Clause
Group:          Development/Libraries/C and C++
Url:            https://github.com/frankosterfeld/qtkeychain
Source:         https://github.com/frankosterfeld/qtkeychain/archive/v%{version}.tar.gz
Source1:        baselibs.conf
BuildRequires:  cmake
BuildRequires:  libqt5-linguist-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
use qtkeychain to store passwords easy and secure on Linux, Windows and
Mac.

%package -n %{lname}
Summary:        A cross platform password store library
Group:          Development/Libraries/C and C++
Recommends:     %lname-lang

%description -n %{lname}
use qtkeychain to store passwords easy and secure on Linux, Windows and
Mac.

%package devel
Summary:        A cross platform password store library
Group:          Development/Libraries/C and C++
Requires:       %lname = %{version}

%description devel
use qtkeychain to store passwords easy and secure on Linux, Windows and
Mac.

This package contains development files for libqtkeychain.

%lang_package -n %lname
%prep
%setup -q -n qtkeychain-%{version}

%build
mkdir -p build
pushd build
cmake .. \
  cmake -DCMAKE_BUILD_TYPE=None \\\
      -DCMAKE_C_FLAGS="%{optflags} -DNDEBUG" \\\
      -DCMAKE_CXX_FLAGS="%{optflags} -DNDEBUG" \\\
      -DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed -Wl,--no-undefined -Wl,-Bsymbolic-functions" \\\
      -DCMAKE_MODULE_LINKER_FLAGS="-Wl,--as-needed -Wl,--no-undefined -Wl,-Bsymbolic-functions" \\\
      -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed -Wl,--no-undefined -Wl,-Bsymbolic-functions" \\\
      -DCMAKE_VERBOSE_MAKEFILE=ON \\\
      -DCMAKE_INSTALL_PREFIX=%{_prefix} \\\
      -DBUILD_WITH_QT4=OFF ..

  make %{?_smp_mflags} VERBOSE=1
popd

%install
%makeinstall -C build

%post -n %{lname} -p /sbin/ldconfig

%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libqt5keychain.so.*

%files devel
%defattr(-,root,root)
%doc COPYING
%{_includedir}/qt5keychain
%{_libdir}/cmake/Qt5Keychain
%{_libdir}/libqt5keychain.so

%files -n %lname-lang
%defattr(-,root,root)
%doc COPYING
%dir %{_datadir}/qt5
%dir %{_datadir}/qt5/translations
%{_datadir}/qt5/translations/*keychain*.qm

%changelog
* Tue Jul 12 2016 hrvoje.senjan@gmail.com
- Update to 0.7.0
  * Bump SO version due to 0.6 being binary-incompatible
    qto previous releases
- Changes since 0.6.2
  * KWallet: Fixes a crash when storing passwords, seen on Debian/KDE4
- Changes since 0.6.1
  * Fix KWallet not working (regressions in 0.6.0)
- Changes since 0.6.0
  * Added support for the Windows Credential Store
* Tue Feb  9 2016 cgiboudeaux@gmx.com
- Update to 0.5.0
  Added support for KWallet5
* Wed Oct 22 2014 hrvoje.senjan@gmail.com
- Activate qtkeychain-qt5 package
